QTLs
curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/qtlsimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/qtls"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/qtls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"variant": {
"chr": "<string>",
"pos": 123,
"spdi": "<string>",
"rsid": "<string>",
"ca_id": "<string>"
},
"gene": {
"name": "<string>",
"id": "<string>"
},
"protein_complex": {
"name": "<string>",
"id": "<string>"
},
"genomic_element": {
"name": "<string>",
"chr": "<string>",
"start": 123,
"stop": 123,
"type": "<string>"
},
"source": "<string>",
"method": "<string>",
"regulatory_type": "<string>",
"gene_consequence": "<string>",
"biological_context": "<string>",
"neg_log10_pvalue": 123,
"effect_size": 123,
"posterior_inclusion_probability": 123,
"intron_chr": "<string>",
"intron_start": "<string>",
"intron_end": "<string>",
"study": {
"id": "<string>",
"pmid": "<string>"
},
"files_filesets": "<string>"
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}API Reference
QTLs
Retrieve QTLs from gene, variant, or region.
Define exactly one query type: gene (gene_id or gene_name), variant (variant_id, spdi, rsid, or ca_id), or region.
The limit parameter controls the page size and can not exceed 100.
Pagination is 0-based.
Examples by method
These examples are grouped by method; use the method filter to return data from a specific method.
eQTL:
Single result
- spdi = NC_000001.11:40241653:TGAA:TGAAATTGAA
- method = eQTL
Group results
- gene_id = ENSG00000259943
- method = eQTL
spliceQTL:
query by variant identifier
- variant_id = NC_000001.11:898757:AAAAAA:AAAAAAA
- method = spliceQTL
query by gene identifier
- gene_id = ENSG00000131236
- method = spliceQTL
pQTL:
query by variant identifier
- variant_id = NC_000002.12:27508072:T:C
- method = pQTL
query by gene identifier
- gene_id = ENSG00000084734
- method = pQTL
caQTL:
Single result
- variant_id = NC_000001.11:40241653:TGAA:TGAAATTGAA
- method = caQTL
Group results
- region = chr1:40232650-40241654
- method = caQTL
QTLs
curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/qtlsimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/qtls"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/qtls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"variant": {
"chr": "<string>",
"pos": 123,
"spdi": "<string>",
"rsid": "<string>",
"ca_id": "<string>"
},
"gene": {
"name": "<string>",
"id": "<string>"
},
"protein_complex": {
"name": "<string>",
"id": "<string>"
},
"genomic_element": {
"name": "<string>",
"chr": "<string>",
"start": 123,
"stop": 123,
"type": "<string>"
},
"source": "<string>",
"method": "<string>",
"regulatory_type": "<string>",
"gene_consequence": "<string>",
"biological_context": "<string>",
"neg_log10_pvalue": 123,
"effect_size": 123,
"posterior_inclusion_probability": 123,
"intron_chr": "<string>",
"intron_start": "<string>",
"intron_end": "<string>",
"study": {
"id": "<string>",
"pmid": "<string>"
},
"files_filesets": "<string>"
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Query Parameters
Available options:
eQTL, pQTL, spliceQTL, caQTL Available options:
AFGR, EBI, IGVF, ENCODE, UKB Available options:
Homo sapiens Response
Successful response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes